Skip to content

Get 'VacancyInvoice'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/accounting/vacancies/vacancyinvoice/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/accounting/vacancies/vacancyinvoice/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

companyobject(Company)required
period_startstring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: period_end

period_endstring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: period_start

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
used_account_configobject or null(BookkeepingAccountsConfig)read-only
attested_datestring or null, (date)
annulledboolean
dimensionsArray of any or null
pdf_fileobject or nullread-only
originates_from_object_idstring or null, (uuid)read-only
originates_from_content_typeobject or null(Innehållstyp)read-only
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "company": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "used_account_config": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "attested_date": "2019-08-24", "annulled": true, "period_start": "2019-08-24", "period_end": "2019-08-24", "dimensions": [ null ], "pdf_file": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } }, "originates_from_object_id": "38c62b3a-0e8c-45fc-8177-89a1e595e218", "originates_from_content_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }